/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 */
public interface WebModuleMBean
      extends
         org.jboss.management.j2ee.EventProvider,
         org.jboss.management.j2ee.J2EEModuleMBean
{

   /**
    * Return the associated servlet names as Strings.
    */
   java.lang.String[] getservlets();

   java.lang.String getservlet(int pIndex);

   java.lang.String getjbossWebDeploymentDescriptor();

   void addChild(javax.management.ObjectName pChild);

   void removeChild(javax.management.ObjectName pChild);

}
